For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search NFTs

get

This endpoints allows you to search a paginated list of NFTs by owner or claimer address.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transferablestringRequired

Value must be either 't' for transferable or 'n' for non-transferable

projectIdintegerRequired
Query parameters
pagenumber · nullableOptional
limitnumber · max: 100 · nullableOptional
searchstringOptional
Responses
200Success

No content

get/v2/projects/:transferable/:projectId/nfts/search

No content

Example

curl --location 'https://dev.underdogprotocol.com/v2/projects/n/5/nfts/search
--header 'Authorization: Bearer {token}'
const axios = require('axios');

let config = {
  method: 'get',
  url: 'https://dev.underdogprotocol.com/v2/projects/n/5/nfts/search?search=Fs7'
  headers: { 
    'Authorization': 'Bearer {token}'
  }
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

Last updated